#ifndef LCD_H
#define LCD_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

void lcd_window(uint8_t x, uint8_t y, uint8_t w, uint8_t h);
void lcd_fill_window(uint8_t color);
void lcd_string(char *str, uint8_t x, uint8_t y, uint8_t w, uint8_t h, uint8_t rom);
void lcd_rect(uint8_t x, uint8_t y, uint8_t w, uint8_t h, uint8_t color);
void lcd_line(uint8_t x0, uint8_t y0, uint8_t x1, uint8_t y1, uint8_t color);
void lcd_circle(uint8_t x0, uint8_t y0, uint8_t radius, uint8_t color);
void lcd_char(char c, uint8_t x, uint8_t y);
void lcd_bitmap_mono(uint8_t* bitmap, uint8_t x, uint8_t y, uint8_t bg, uint8_t fg);
void lcd_wrdata(uint8_t data);

#include "font.h"
#include "ls020.h"

#define LCD_CWIDTH ((uint8_t)(LCD_WIDTH / FONT_W))
#define LCD_CHEIGHT ((uint8_t)(LCD_HEIGHT / FONT_H))
	
void lcd_repaint(uint16_t* guiBuffer, uint8_t invalidX1, uint8_t invalidY1, uint8_t invalidX2, uint8_t invalidY2);
void lcd_start_update(void);
void lcd_end_update(void);

extern uint8_t fgColor;
extern uint8_t bgColor;

extern PROGMEM uint8_t LcdColorMap[16];

#ifdef __cplusplus
}
#endif


#endif

