#include "lcd.h"

#define ASX 0x1200
#define ASY 0x1300
#define APX 0x1400
#define AEX 0x1500
#define AEY 0x1600
#define APY 0x1700

#define CHAR_W 8
#define CHAR_H 12

uint8_t R[] =
	{ 0x00, 0x00, 0xFC, 0x66, 0x66, 0x66, 0x7C, 0x6C, 0x66, 0x66, 0xE6,
0x00, };

void paintR(void)
{
	uint8_t i, j;
	for (i = 0; i < 12; i++) {
		uint8_t byte = R[i];
		for (j = 0; j < 8; j++) {
			uint8_t color = (byte & 0x80) ? 0xFF : 0xC0;
			lcd_wrdata(color);
			byte <<= 1;
		}
	}
}

int main(void)
{
	lcd_init();
	lcd_window(0, 0, LCD_WIDTH, LCD_HEIGHT);
	lcd_fill_window(0xC0);
	int x, y;


	lcd_wrcmd16(0xEF80);

	x = 30;	y = 30;
	lcd_wrcmd16(0x1800);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x + (CHAR_W - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y + (CHAR_H - 1));
	paintR();

	x = 60;
	y = 30;
	lcd_wrcmd16(0x1801);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x - (CHAR_W - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y + (CHAR_H - 1));
	paintR();

	x = 90;
	y = 30;
	lcd_wrcmd16(0x1802);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x + (CHAR_W - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y - (CHAR_H - 1));
	paintR();

	x = 30;
	y = 60;
	lcd_wrcmd16(0x1803);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x - (CHAR_W - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y - (CHAR_H - 1));
	paintR();

	x = 60;
	y = 60;
	lcd_wrcmd16(0x1804);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x + (CHAR_H - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y + (CHAR_W - 1));
	paintR();

	x = 90;
	y = 60;
	lcd_wrcmd16(0x1805);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x - (CHAR_H - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y + (CHAR_W - 1));
	paintR();

	x = 30;
	y = 90;
	lcd_wrcmd16(0x1806);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x - (CHAR_H - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y - (CHAR_W - 1));
	paintR();

	x = 60;
	y = 90;
	lcd_wrcmd16(0x1807);
	lcd_wrcmd16(ASX + x);
	lcd_wrcmd16(AEX + x - (CHAR_H - 1));
	lcd_wrcmd16(ASY + y);
	lcd_wrcmd16(AEY + y - (CHAR_W - 1));
	paintR();

	for (;;);
}
